View Issue Details

IDProjectCategoryView StatusLast Update
0001088Far Manager 1.7x_Commonpublic2009-10-12 15:14
ReporterToxaAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version 
Target VersionFixed in Version1.75 
Summary0001088: Пути в командной строке запуска Фара и слеш (\)
DescriptionНе работает:
Far.exe "C:\Documents and Settings\"

Работает:
Far.exe "C:\Documents and Settings\\"
Far.exe "C:\Documents and Settings\."
Far.exe C:\DOCUME~1\
TagsNo tags attached.
Build2608

Activities

vskirdin

2009-10-05 17:10

administrator   bugnote:0004197

после 1156

Toxa

2009-10-06 16:23

reporter   bugnote:0004199

По-прежнему не работает:
Far.exe "C:\Documents and Settings\" "C:\Documents and Settings\"

Тем не менее, работает:
Far.exe "C:\Documents and Settings" "C:\Documents and Settings\"
Far.exe "C:\Documents and Settings\"

vskirdin

2009-10-06 18:45

administrator   bugnote:0004200

так, стоп.
Вариант "C:\Documents and Settings\" "C:\Documents and Settings\"
и не должен работать, т.к. ось передает Far`у (угловые скобки для разнраничения)
Argv[1]=<C:\Documents and Settings" C:\Documents>
Argv[2]=<and>
Argv[3]=<Settings">

ибо сказано, <\"> - это просто кавычка.

сделай
Far.exe "C:\Documents and Settings\\" "C:\Documents and Settings\\"

(хмм... хотел написать "C:/Documents and Settings/" "C:/Documents and Settings/", но вспомнил, что есть инц на эту тему ;-))

Toxa

2009-10-06 19:04

reporter   bugnote:0004201

То есть, если мы хотим запустить копию Фара, нужно сделать следующее:
Far.exe "!^!\\" "!#!\\"

Issue History

Date Modified Username Field Change
2009-09-30 19:42 Toxa New Issue
2009-10-05 17:09 vskirdin Status new => assigned
2009-10-05 17:09 vskirdin Assigned To => vskirdin
2009-10-05 17:10 vskirdin Note Added: 0004197
2009-10-05 17:10 vskirdin Status assigned => feedback
2009-10-06 16:23 Toxa Note Added: 0004199
2009-10-06 18:45 vskirdin Note Added: 0004200
2009-10-06 19:04 Toxa Note Added: 0004201
2009-10-06 19:04 Toxa Status feedback => resolved
2009-10-06 19:04 Toxa Resolution open => fixed
2009-10-12 15:14 vskirdin Build => 2608
2009-10-12 15:14 vskirdin Status resolved => closed
2009-10-12 15:14 vskirdin Fixed in Version => 1.75